| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# funcprototype

$Revision: 1.3 $

$Date: 2002/06/12 11:18:10 $

funcprototype — The prototype of a function

## Synopsis

### Content Model

    funcprototype ::=
    (funcdef,
     (void|varargs|paramdef+))

### Attributes

Common attributes

## Description

A wrapper for a function prototype in a `FuncSynopsis`.

### Processing expectations

See `FuncSynopsis`.

### Parents

These elements contain funcprototype: `funcsynopsis`.

### Children

The following elements occur in funcprototype: `funcdef`, `paramdef`, `varargs`, `void`.

## See Also

`funcdef`, `funcparams`, `funcsynopsisinfo`, `function`, `paramdef`, `parameter`, `returnvalue`, `varargs`, `void`.

## Examples

For examples, see `funcdef`, `funcparams`, `funcsynopsis`, `paramdef`, `refentry`, `varargs`.

funcparams |  | funcsynopsis

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.